Bug 430131 - Cannot export eclipse rcp product
Cannot export eclipse rcp product
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 13:09 EST by Bengt Månsson
Modified: 2009-01-09 00:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:50:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
logfile. Starting eclipse and doing the export. (13.50 KB, text/plain)
2008-01-24 13:49 EST, Bengt Månsson
no flags Details
screenshot of Help : Software Updates : Manage Configurations (47.49 KB, image/png)
2008-01-24 14:46 EST, Bengt Månsson
no flags Details

  None (edit)
Description Bengt Månsson 2008-01-24 13:09:56 EST
Description of problem:

I am building an RCP app on Linux Fedora 8 x86_64.
It is a stock standard pure Fedora installation, with all updates.

I use the "Eclipse Product export wizard" to make a standalone app.
It creates a folder with appname.ini, configuration, icon.xpm, jre, plugins,
startup.jar.

Problem: there is no launcher.

Version-Release number of selected component (if applicable):

eclipse-pde.x86_64                       1:3.3.0-30.fc8
eclipse-pde-runtime.x86_64               1:3.3.0-30.fc8
eclipse-platform.x86_64                  1:3.3.0-30.fc8
eclipse-rcp.x86_64                       1:3.3.0-30.fc8

Additional info:

I see no error messages in the console view.
It looks as if the wizard creates a folder for the launcher but quickly deletes
it again.
The app works fine when started from inside eclipse.
The export works fine when done with a manually installed eclipse+pde downloaded
directly from eclipse.org.
Comment 1 Andrew Overholt 2008-01-24 13:21:41 EST
Please give the output of the stuff on this page:

http://fedoraproject.org/wiki/DebuggingEclipseProblems#preview

Also, try running with -consolelog and/or -debug and see if you get any stack
traces.  Alternatively, look in the .log file in your workspace's .metadata
directory.
Comment 2 Bengt Månsson 2008-01-24 13:49:01 EST
Created attachment 292837 [details]
logfile. Starting eclipse and doing the export.
Comment 3 Bengt Månsson 2008-01-24 13:51:35 EST
[root@studio ~]# for f in `rpm -aq | egrep "eclipse|swt"`; do rpm -qV $f; done
[root@studio ~]# which java
/usr/bin/java
[root@studio ~]# readlink -f `which java`
/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0.x86_64/jre/bin/java
[root@studio ~]# which javac
/usr/bin/javac
[root@studio ~]# readlink -f `which javac`
/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0.x86_64/bin/javac
[root@studio ~]# java -version
java version "1.7.0"
IcedTea Runtime Environment (build 1.7.0-b21)
IcedTea 64-Bit Server VM (build 1.7.0-b21, mixed mode)
[root@studio ~]# yum list eclipse*
Installed Packages
eclipse-cdt.x86_64                       1:4.0.1-1.fc8          installed
eclipse-cvs-client.x86_64                1:3.3.0-30.fc8         installed
eclipse-ecj.x86_64                       1:3.3.0-30.fc8         installed
eclipse-jdt.x86_64                       1:3.3.0-30.fc8         installed
eclipse-mylyn.x86_64                     2.0.0-9.fc8            installed
eclipse-mylyn-bugzilla.x86_64            2.0.0-9.fc8            installed
eclipse-mylyn-ide.x86_64                 2.0.0-9.fc8            installed
eclipse-mylyn-java.x86_64                2.0.0-9.fc8            installed
eclipse-mylyn-pde.x86_64                 2.0.0-9.fc8            installed
eclipse-mylyn-trac.x86_64                2.0.0-9.fc8            installed
eclipse-pde.x86_64                       1:3.3.0-30.fc8         installed
eclipse-pde-runtime.x86_64               1:3.3.0-30.fc8         installed
eclipse-platform.x86_64                  1:3.3.0-30.fc8         installed
eclipse-rcp.x86_64                       1:3.3.0-30.fc8         installed
eclipse-subclipse.x86_64                 1.2.4-5.fc8            installed
Available Packages
--cut--

also see attached logfile
Comment 4 Andrew Overholt 2008-01-24 14:20:14 EST
I think this is a dupe of bug #188093.  The stack-traces look the same, at least.
Comment 5 Bengt Månsson 2008-01-24 14:46:21 EST
Created attachment 292847 [details]
screenshot of Help : Software Updates : Manage Configurations

There are error indications here, which I don't get with the upstream eclipse.
Is this common with fedora?
Comment 6 Andrew Overholt 2008-01-24 14:53:20 EST
(In reply to comment #5)
> There are error indications here, which I don't get with the upstream eclipse.
> Is this common with fedora?

Yeah, this is actually a known upstream bug with the update manager.  I don't
know the # offhand, but since that's all being re-written for 3.4, I don't think
it's worth trying to fix now.
Comment 7 Bug Zapper 2008-11-26 04:33:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Andrew Overholt 2008-11-26 10:31:04 EST
I'm really not sure what was going on with 3.3.x in Fedora 8 but I just tried exporting the RCP Mail example as a product and I got a launcher in my export directory.  I was able to run the application, too.
Comment 9 Bug Zapper 2009-01-09 00:50:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.